org.apache.sis.metadata.iso

## Class DefaultApplicationSchemaInformation

- Object
- - AbstractMetadata
  - - ModifiableMetadata
    - - ISOMetadata
      - - DefaultApplicationSchemaInformation

- All Implemented Interfaces:
    Serializable, Cloneable, Emptiable, LenientComparable, IdentifiedObject, ApplicationSchemaInformation

      public class DefaultApplicationSchemaInformation
      extends ISOMetadata
      implements ApplicationSchemaInformation

  Information about the application schema used to build the dataset. The following properties are mandatory in a well-formed metadata according ISO 19115:
  `MD_ApplicationSchemaInformation` `├─name……………………………………………………………` Name of the application schema used. `│ ├─title………………………………………………` Name by which the cited resource is known. `│ └─date…………………………………………………` Reference date for the cited resource. `├─schemaLanguage…………………………………` Identification of the schema language used. `└─constraintLanguage………………………` Formal language used in Application Schema.

  Limitations:

  - Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
  - Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.
  Since:
    0.3
  See Also:
    Serialized Form

  Defined in the `sis-metadata` module

- - ### Field Summary

    - ### Fields inherited from class ISOMetadata

      `identifiers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultApplicationSchemaInformation()` Construct an initially empty application schema information.
    `DefaultApplicationSchemaInformation(ApplicationSchemaInformation object)` Constructs a new instance initialized with the values from the specified metadata object.
    `DefaultApplicationSchemaInformation(Citation name, String schemaLanguage, String constraintLanguage)` Creates a application schema information initialized to the specified values.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DefaultApplicationSchemaInformation` | `castOrCopy(ApplicationSchemaInformation object)` Returns a SIS metadata implementation with the values of the given arbitrary implementation.
    `String` | `getConstraintLanguage()` Formal language used in Application Schema.
    `URI` | `getGraphicsFile()` Full application schema given as a graphics file.
    `Citation` | `getName()` Name of the application schema used.
    `URI` | `getSchemaAscii()` Full application schema given as an ASCII file.
    `String` | `getSchemaLanguage()` Identification of the schema language used.
    `URI` | `getSoftwareDevelopmentFile()` Full application schema given as a software development file.
    `String` | `getSoftwareDevelopmentFileFormat()` Software dependent format used for the application schema software dependent file.
    `void` | `setConstraintLanguage(String newValue)` Sets the formal language used in application schema.
    `void` | `setGraphicsFile(URI newValue)` Sets the full application schema given as a graphics file.
    `void` | `setName(Citation newValue)` Sets the name of the application schema used.
    `void` | `setSchemaAscii(URI newValue)` Sets the full application schema given as an ASCII file.
    `void` | `setSchemaLanguage(String newValue)` Sets the identification of the schema language used.
    `void` | `setSoftwareDevelopmentFile(URI newValue)` Sets the full application schema given as a software development file.
    `void` | `setSoftwareDevelopmentFileFormat(String newValue)` Sets the software dependent format used for the application schema software dependent file.

    - ### Methods inherited from class ISOMetadata

      `freeze, getIdentifierMap, getIdentifiers, getStandard`

    - ### Methods inherited from class ModifiableMetadata

      `checkWritePermission, clone, collectionType, copyCollection, copyList, copySet, isModifiable, nonNullCollection, nonNullList, nonNullSet, singleton, unmodifiable, writeCollection, writeList, writeSet`

    - ### Methods inherited from class AbstractMetadata

      `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

    - ### Methods inherited from class Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultApplicationSchemaInformation

          public DefaultApplicationSchemaInformation()

      Construct an initially empty application schema information.

    - #### DefaultApplicationSchemaInformation

          public DefaultApplicationSchemaInformation(Citation name,
                                                     String schemaLanguage,
                                                     String constraintLanguage)

      Creates a application schema information initialized to the specified values.
      Parameters:
        `name` - the name of the application schema used.
        `schemaLanguage` - the the identification of the schema language used.
        `constraintLanguage` - the formal language used in application schema.

    - #### DefaultApplicationSchemaInformation

          public DefaultApplicationSchemaInformation(ApplicationSchemaInformation object)

      Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the metadata to copy values from, or `null` if none.
      See Also:
        `castOrCopy(ApplicationSchemaInformation)`

  - ### Method Detail

    - #### castOrCopy

          public static DefaultApplicationSchemaInformation castOrCopy(ApplicationSchemaInformation object)

      Returns a SIS metadata implementation with the values of the given arbitrary implementation. This method performs the first applicable action in the following choices:
      - If the given object is `null`, then this method returns `null`.
      - Otherwise if the given object is already an instance of `DefaultApplicationSchemaInformation`, then it is returned unchanged.
      - Otherwise a new `DefaultApplicationSchemaInformation` instance is created using the copy constructor and returned. Note that this is a shallow copy operation, since the other metadata contained in the given object are not recursively copied.
      Parameters:
        `object` - the object to get as a SIS implementation, or `null` if none.
      Returns:
        a SIS implementation containing the values of the given object (may be the given object itself), or `null` if the argument was null.

    - #### getName

          public Citation getName()

      Name of the application schema used.
      Specified by:
        `getName` in interface `ApplicationSchemaInformation`
      Returns:
        name of the application schema, or `null`.

    - #### setName

          public void setName(Citation newValue)

      Sets the name of the application schema used.
      Parameters:
        `newValue` - the new name.

    - #### getSchemaLanguage

          public String getSchemaLanguage()

      Identification of the schema language used.
      Specified by:
        `getSchemaLanguage` in interface `ApplicationSchemaInformation`
      Returns:
        the schema language used, or `null`.

    - #### setSchemaLanguage

          public void setSchemaLanguage(String newValue)

      Sets the identification of the schema language used.
      Parameters:
        `newValue` - the new schema language.

    - #### getConstraintLanguage

          public String getConstraintLanguage()

      Formal language used in Application Schema.
      Specified by:
        `getConstraintLanguage` in interface `ApplicationSchemaInformation`
      Returns:
        formal language used in Application Schema, or `null`.

    - #### setConstraintLanguage

          public void setConstraintLanguage(String newValue)

      Sets the formal language used in application schema.
      Parameters:
        `newValue` - the new constraint language.

    - #### getSchemaAscii

          public URI getSchemaAscii()

      Full application schema given as an ASCII file.
      Upcoming API change
      `URI` may be replaced by `CharSequence` in GeoAPI 4.0.
      Specified by:
        `getSchemaAscii` in interface `ApplicationSchemaInformation`
      Returns:
        application schema as an ASCII file, or `null`.

    - #### setSchemaAscii

          public void setSchemaAscii(URI newValue)

      Sets the full application schema given as an ASCII file.
      Upcoming API change
      `URI` may be replaced by `CharSequence` in GeoAPI 4.0.
      Parameters:
        `newValue` - the new ASCII file.

    - #### getGraphicsFile

          public URI getGraphicsFile()

      Full application schema given as a graphics file.
      Upcoming API change
      As of ISO 19115:2014, `URI` is replaced by `OnlineResource`. This change may be applied in GeoAPI 4.0.
      Specified by:
        `getGraphicsFile` in interface `ApplicationSchemaInformation`
      Returns:
        application schema as a graphics file, or `null`.

    - #### setGraphicsFile

          public void setGraphicsFile(URI newValue)

      Sets the full application schema given as a graphics file.
      Upcoming API change
      As of ISO 19115:2014, `URI` is replaced by `OnlineResource`. This change may be applied in GeoAPI 4.0.
      Parameters:
        `newValue` - the new graphics file.

    - #### getSoftwareDevelopmentFile

          public URI getSoftwareDevelopmentFile()

      Full application schema given as a software development file.
      Upcoming API change
      As of ISO 19115:2014, `URI` is replaced by `OnlineResource`. This change may be applied in GeoAPI 4.0.
      Specified by:
        `getSoftwareDevelopmentFile` in interface `ApplicationSchemaInformation`
      Returns:
        application schema as a software development file, or `null`.

    - #### setSoftwareDevelopmentFile

          public void setSoftwareDevelopmentFile(URI newValue)

      Sets the full application schema given as a software development file.
      Upcoming API change
      As of ISO 19115:2014, `URI` is replaced by `OnlineResource`. This change may be applied in GeoAPI 4.0.
      Parameters:
        `newValue` - the new software development file.

    - #### getSoftwareDevelopmentFileFormat

          public String getSoftwareDevelopmentFileFormat()

      Software dependent format used for the application schema software dependent file.
      Specified by:
        `getSoftwareDevelopmentFileFormat` in interface `ApplicationSchemaInformation`
      Returns:
        format used for the application schema software file, or `null`.

    - #### setSoftwareDevelopmentFileFormat

          public void setSoftwareDevelopmentFileFormat(String newValue)

      Sets the software dependent format used for the application schema software dependent file.
      Parameters:
        `newValue` - the new software development file format.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.